> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whitebit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cryptocurrency deposit address

> Get an existing cryptocurrency deposit address for a given currency and network via the V4 API.



## OpenAPI

````yaml /openapi/private/main_api_v4.yaml POST /api/v4/main-account/address
openapi: 3.0.3
info:
  title: WhiteBIT Private HTTP API V4
  description: |
    WhiteBIT Private HTTP API V4 for Main balance changes.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.
  version: 4.0.0
  contact:
    name: WhiteBIT Support
    email: support@whitebit.com
    url: https://whitebit.com
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
    PayloadAuth: []
    SignatureAuth: []
tags:
  - name: Main Account
    description: Main account balance and operations
  - name: Deposit
    description: Cryptocurrency and fiat deposit operations
  - name: Withdraw
    description: Cryptocurrency and fiat withdrawal operations
  - name: Transfer
    description: Balance transfer operations
  - name: Codes
    description: WhiteBIT codes operations
  - name: Crypto Lending - Fixed
    description: Fixed crypto lending plans
  - name: Crypto Lending - Flex
    description: Flexible crypto lending plans
  - name: Fees
    description: Fee information
  - name: Sub-Account
    description: Sub-account management
  - name: Sub-Account API Keys
    description: Sub-account API key management
  - name: Mining Pool
    description: Mining pool operations
  - name: Credit Line
    description: Credit line information
  - name: JWT
    description: JWT token management
paths:
  /api/v4/main-account/address:
    post:
      tags:
        - Deposit
      summary: Get cryptocurrency deposit address
      description: |
        The endpoint retrieves a deposit address of the cryptocurrency.

        <Accordion title="Errors">
        ```json
        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "ticker": ["The selected ticker is invalid."]
          }
        }
        ```

        ```json
        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "network": ["The selected network is invalid."]
          }
        }
        ```

        ```json
        {
          "code": 1,
          "message": "Inner validation failed",
          "errors": {
            "ticker": ["Currency is not depositable"]
          }
        }
        ```
        </Accordion>

        <Warning>
        Rate limit: 1000 requests/10 sec.
        </Warning>

        <Note>
        The API does not cache the response.
        </Note>
      operationId: getDepositAddress
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ticker
                - request
                - nonce
              properties:
                ticker:
                  type: string
                  description: >
                    Currencies ticker. Example: BTC ⚠️ Currency
                    [ticker](/glossary#ticker) should not be
                    [fiat](/glossary#fiat) and it’s “can_deposit” status must be
                    “true”. See [Asset Status
                    endpoint](/public/http-v4/asset-status-list) response for
                    the status.
                  example: BTC
                network:
                  type: string
                  description: >
                    Cryptocurrency network. ⚠️ If currency has multiple networks
                    like USDT, specify the network to use. See
                    [ticker](/glossary#ticker) networks list in “networks” field
                    from response [Asset Status
                    endpoint](/public/http-v4/asset-status-list).
                  example: ERC20
                request:
                  type: string
                  description: Request signature
                  example: '{{request}}'
                nonce:
                  type: integer
                  description: Unique request identifier
                  example: 1594297865000
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  account:
                    type: object
                    properties:
                      address:
                        type: string
                        description: Deposit address
                      memo:
                        type: string
                        description: Memo if currency requires memo
                  required:
                    type: object
                    properties:
                      fixedFee:
                        type: string
                        description: Fixed deposit fee
                      flexFee:
                        type: object
                        description: Flexible fee - is fee that use percent rate
                        properties:
                          maxFee:
                            type: string
                            description: Maximum fixed fee charged
                          minFee:
                            type: string
                            description: Minimum fixed fee charged
                          percent:
                            type: string
                            description: Percent of deposit as fee
                      maxAmount:
                        type: string
                        description: >-
                          Max amount of deposit accepted by the exchange.
                          Deposits exceeding this amount are rejected.
                      minAmount:
                        type: string
                        description: >-
                          Min amount of deposit accepted by the exchange.
                          Deposits below this amount are rejected.
              example:
                account:
                  address: GDTSOI56XNVAKJNJBLJGRNZIVOCIZJRBIDKTWSCYEYNFAZEMBLN75RMN
                  memo: '48565488244493'
                required:
                  fixedFee: '0'
                  flexFee:
                    maxFee: '0'
                    minFee: '0'
                    percent: '0'
                  maxAmount: '0'
                  minAmount: '1'
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service temporary unavailable
components:
  schemas:
    Error:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: The public WhiteBIT API key.
    PayloadAuth:
      type: apiKey
      in: header
      name: X-TXC-PAYLOAD
      description: Base64-encoded JSON request body.
    SignatureAuth:
      type: apiKey
      in: header
      name: X-TXC-SIGNATURE
      description: >-
        HMAC-SHA512 signature of the payload, hex-encoded. Computed as
        hex(HMAC-SHA512(payload, api_secret)).

````